GMSC Discussions

GeoMedia Smart Client community discussion board is where you can create, contribute and share information and knowledge in regards to configuring as well as working with GeoMedia Smart Client. Find your answers, share your knowledge and help build a strong GeoMedia Smart Client community.
Showing results for 
Search instead for 
Do you mean 
Reply
Highlighted
Occasional Contributor
Posts: 10
Registered: ‎02-25-2017

GMSC 2020 System Requirements

[ Edited ]

Hi,

 

As per the system requirments for GMSC 2020, it mentions supported OS and Oracle DB as below -

 

OS - Windows® Server 2012 R2 (64-bit), Windows® Server 2016

Database - Oracle® Server 12c or higher (32-bit and 64-bit)

 

My queries are - 

 

  1. Is 2020 version comaptible to work with Windows Server 2019 ?
  2. Is 2020 version comaptible to work with Oracle Database 19c ?
  3. Is direct upgrade possible from v2015 to v2020? Any supporting document for this.

 


Regards,

Rohit Kumar Sinha

Highlighted
Technical Evangelist
Posts: 404
Registered: ‎02-04-2016

Re: GMSC 2020 System Requirements

Hi Rohit,

 

1. I would say it is compatible as we know there are users with Windows Server 2019 running our v2020 software and we have not heard any issue so far.

 

2. I would say it is compatible, please see
https://community.hexagongeospatial.com/t5/GMSC-Discussions/GeoMedia-Smart-Client-2020-support-for-O...
https://community.hexagongeospatial.com/t5/M-App-Enterprise-Tutorials/Support-of-different-Oracle-Da...

 

3. Please see
Info on how to manage existing GMSC metadata:
https://community.hexagongeospatial.com/t5/GMSC-Discussions/Running-GMSC-2015-and-2018-in-parrellel-...
General pointers on upgrading GMSC:
https://community.hexagongeospatial.com/t5/GMSC-Discussions/Upgrading-GMSC-version-2015-to-2016/m-p/...

 

 

Other pointers:

*** Remember to uninstall v2015, REBOOT and install v2020

*** Remember to always have full server backup before any major system change/upgrade.

*** Some v2015 GMSC workflows may not work properly under v2020 as there are changes in the API (i.e. old workflow may need to be rebuild with new API)

 

Hope this helps.

 

Frank